Skip to main content
`Ctrl`+`K`

# VecScatterGetMerged

Returns true if the scatter is completed in the `VecScatterBegin()` and the `VecScatterEnd()` does nothing

## Synopsis

    #include "petscsf.h"
    PetscErrorCode VecScatterGetMerged(VecScatter sf, PetscBool *flg)

Not Collective

## Input Parameter

- sf - scatter context created with `VecScatterCreate()`

## Output Parameter

- flg - `PETSC_TRUE` if the `VecScatterBegin()`/`VecScatterEnd()` are all done during the `VecScatterBegin()`

## See Also

Low-level Vector Communication, `VecScatter`, `VecScatterCreate()`, `VecScatterEnd()`, `VecScatterBegin()`

## Level

developer

## Location

src/vec/vec/utils/vscat.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages